Loading...
Searching...
No Matches
Expert Mode

## Functions

void | starpu_wake_all_blocked_workers (void)
int | starpu_progression_hook_register (unsigned(*func)(void *arg), void *arg)
void | starpu_progression_hook_deregister (int hook_id)
int | starpu_idle_hook_register (unsigned(*func)(void *arg), void *arg)
void | starpu_idle_hook_deregister (int hook_id)

## Detailed Description

## Function Documentation

## starpu_wake_all_blocked_workers()

void starpu_wake_all_blocked_workers | ( | void |  | ) |

Wake all the workers, so they can inspect data requests and task submissions again.

## starpu_progression_hook_register()

int starpu_progression_hook_register | ( | unsigned(* | func )(void *arg),
|  | void * | arg )

Register a progression hook, to be called when workers are idle.

## starpu_progression_hook_deregister()

void starpu_progression_hook_deregister | ( | int | hook_id | ) |

Unregister a given progression hook.